catalog:
  title: CITK Docker Client

templates:
- freestyle
- base

variables:
  description: >-
    Creates, installs and runs docker contained based on the CITK tool
    chain.
  keywords:
  - CITK Docker Linux Container
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  - jweisz@cs.columbia.edu

  repository: http://opensource.cit-ec.de/git/citk.docker.git
  branches:
  - docker-cmdline

  extra-provides:
  - nature: freestyle
    target: citman
  platform-requires:
    ubuntu:
      packages:
      - python2.7
      - python2.7-dev
      - python-setuptools
      - python-pip
      - expect-dev

  shell.command: |
    mkdir -p ~/.citk
    mkdir -p "${toolkit.dir}"/lib/python2.7/site-packages
    mkdir -p "${toolkit.dir}"/lib/python2.7/dist-packages
    export PYTHONPATH=${toolkit.dir}/lib/python2.7/site-packages
    git clone https://opensource.cit-ec.de/git/citk.docker.git tmp
    cd tmp && git checkout docker-cmdline
    cd citk-cli
    pip install --ignore-installed -t "${toolkit.dir}"/lib/python2.7/site-packages -r requirements.txt
    cd ..
    rm -rf "${toolkit.dir}"/bin/citk-cli
    mv citk-cli "${toolkit.dir}"/bin/
